# This file created by conda-build 25.5.0
# meta.yaml template originally from:
# /work/buildout/aggregate/pycosat-feedstock/recipe, last modified Tue Oct  7 21:55:05 2025
# ------------------------------------------------

package:
  name: pycosat
  version: 0.6.6
source:
  url: https://github.com/conda/pycosat/archive/0.6.6.tar.gz
  sha256: b0014986321e77a36d8fe24827698aae076500c817133a700608bd677b77a998
  patches:
    - patches/0001-GH-100-Replace-unittest.makeSuite-with-unittest.defaultTest.patch
build:
  number: '2'
  script: /work/buildout/croot/pycosat_1759980170270/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps -vv --no-build-isolation
  string: py314h5eee18b_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.40 h5293946_0
    - binutils_linux-64 2.40.0 hc2dff05_2
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_2
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.40 h12ee557_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.8 hb25bd0a_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.9.9 h06a4308_0
    - expat 2.7.1 h6a678d5_0
    - ld_impl_linux-64 2.44 h153f514_2
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.0.18 hd6dcaed_0
    - pip 25.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.0 h3fc5862_100_cp314
    - python_abi 3.14 1_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 78.1.1 py314h06a4308_0
    - sqlite 3.50.2 hb25bd0a_1
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2025b h04d1e81_0
    - wheel 0.45.1 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.6.4 h5eee18b_1
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  files:
    - qg3-08.cnf
    - sudoku.py
    - test_package.py
    - uf20-098.cnf
  requires:
    - pip
  imports:
    - pycosat
  commands:
    - pip check
    - python test_package.py "0.6.6"
about:
  home: https://github.com/conda/pycosat
  license: MIT
  license_family: MIT
  license_url: https://github.com/conda/pycosat/blob/0.6.6/LICENSE
  summary: Bindings to picosat (a SAT solver)
  description: 'PicoSAT is a popular SAT solver written by Armin Biere in pure C.
    This

    package provides efficient Python bindings to picosat on the C level, i.e.

    when importing pycosat, the picosat solver becomes part of the Python

    process itself.

    '
  doc_url: https://github.com/conda/pycosat/blob/master/README.rst
  dev_url: https://github.com/conda/pycosat
extra:
  recipe-maintainers:
    - jakirkham
    - kalefranz
    - mcg1969
    - mingwandroid
    - msarahan
    - nehaljwani
    - pelson
  final: true
  copy_test_source_files: true
  tool: perseverence-python-buildout
